## python-lesscpy 0.13.0+ds

=== requirements.txt ===
ply
six

## python-lesscpy 0.9j

=== debian/changelog ===
python-lesscpy (0.9j-3fakesync2) trusty; urgency=medium

  * No-change rebuild for Python 3.4.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Feb 2014 20:54:03 +0100

python-lesscpy (0.9j-3fakesync1) trusty-proposed; urgency=low

  * Fake sync due to mismatching orig tarball.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 10 Nov 2013 23:59:37 -0500

python-lesscpy (0.9j-3) unstable; urgency=low

  * d/patches/fixup-python3-argparse.patch: Fix use of argparse for
    compatibility with python3.3.

 -- James Page <james.page@ubuntu.com>  Wed, 02 Oct 2013 14:12:42 +0100

python-lesscpy (0.9j-2) unstable; urgency=low

  * Renamed the MIT license to Expat, after kind explanation from the FTP
    Masters.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Oct 2013 01:34:26 +0000

python-lesscpy (0.9j-1) unstable; urgency=low

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 07 Sep 2013 16:48:49 +0800

python-lesscpy (0.9h-1) experimental; urgency=low

  * Initial release. (Closes: #717382)

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Jul 2013 00:45:19 +0800

=== debian/control ===
Source: python-lesscpy
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-ply,
               python-setuptools,
               python3-all,
               python3-ply,
               python3-setuptools
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-lesscpy.git
Vcs-Git: git://anonscm.debian.org/openstack/python-lesscpy.git
Homepage: https://pypi.python.org/pypi/lesscpy

Package: python-lesscpy
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-ply, ${misc:Depends}, ${python:Depends}
Replaces: python3-lesscpy (<< 0.9j)
Recommends: ${python:Recommends}
Description: LessCss Compiler for Python 2.x
 Lesscpy is a compiler written in Python for the lesscss language. It is very
 useful if node.js can't be installed in the environment. Not all features of
 lesscss are supported (yet). Some features wil probably never be supported
 (JavaScript evaluation).
 .
 This program uses PLY (Python Lex-Yacc) to tokenize/parse the input and is
 considerably slower than the nodejs compiler.
 .
 This package provides the Python 2.x module.

Package: python3-lesscpy
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python3-ply, ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Description: LessCss Compiler for Python 3.x
 Lesscpy is a compiler written in Python for the lesscss language. It is very
 useful if node.js can't be installed in the environment. Not all features of
 lesscss are supported (yet). Some features wil probably never be supported
 (JavaScript evaluation).
 .
 This program uses PLY (Python Lex-Yacc) to tokenize/parse the input and is
 considerably slower than the nodejs compiler.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/robotis/Lesscpy.git
include /usr/share/openstack-pkg-tools/pkgos.make

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-lesscpy; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-lesscpy; \
	done
	mv $(CURDIR)/debian/python3-lesscpy/usr/bin/lesscpy $(CURDIR)/debian/python3-lesscpy/usr/bin/python3-lesscpy

## python-lesscpy 0.10

=== debian/changelog ===
python-lesscpy (0.10-1) unstable; urgency=medium

  * New upstream release.
  * Updated upstream VCS in debian/copyright and debian/rules.
  * Removed fixup-python3-argparse.patch.
  * Made openstack-pkg-tools optional, and include non-mandatory.
  * Fix shellbang for the python3 package (Closes: #747876).
  * Added extended diff ignore for the egg-info in debian/source/options.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 May 2014 18:14:47 +0800

python-lesscpy (0.9j-4) unstable; urgency=medium

  * Installing /usr/bin/lesscpy using update-alternatives, so that users can
    use either python 2 or 3.
  * Standard-Version: is now 3.9.5.
  * Replacing the shebang from /usr/bin/pythonx.x to /usr/bin/env python{2,3}.

 -- Thomas Goirand <zigo@debian.org>  Sat, 01 Feb 2014 12:31:15 +0800

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: python-lesscpy
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
            Mehdi Abaakouk <sileht@sileht.net>
 Build-Depends: debhelper (>= 9),
-               openstack-pkg-tools,
                python-all (>= 2.6.6-3~),
                python-ply,
                python-setuptools,
                python3-all,
                python3-ply,
                python3-setuptools
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-lesscpy.git
 Vcs-Git: git://anonscm.debian.org/openstack/python-lesscpy.git
 Homepage: https://pypi.python.org/pypi/lesscpy

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT = git://github.com/robotis/Lesscpy.git
-include /usr/share/openstack-pkg-tools/pkgos.make
+UPSTREAM_GIT = git://github.com/robotis/lesscpy.git
+-include /usr/share/openstack-pkg-tools/pkgos.make
 
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
@@ -22,4 +22,19 @@
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python3-lesscpy; \
 	done
+	mv $(CURDIR)/debian/python-lesscpy/usr/bin/lesscpy $(CURDIR)/debian/python-lesscpy/usr/bin/python2-lesscpy
+
+	# Fix the interpreter to be /usr/bin/env python, rather than
+	# python2.6, which needs argparse (this is only useful for
+	# backporting to wheezy, we don't care for Python 2.7)
+	sed -i '1 s/python2.6/env python/' $(CURDIR)/debian/python-lesscpy/usr/bin/python2-lesscpy
+
 	mv $(CURDIR)/debian/python3-lesscpy/usr/bin/lesscpy $(CURDIR)/debian/python3-lesscpy/usr/bin/python3-lesscpy
+	# Use /usr/bin/env python3 instead of /usr/bin/python3.x
+	sed -i '1 s/python.*\../env python3/' $(CURDIR)/debian/python3-lesscpy/usr/bin/python3-lesscpy
+
+override_dh_python2:
+	dh_python2 -O--buildsystem=python_distutils --no-shebang-rewrite
+
+override_dh_python3:
+	dh_python3 -O--buildsystem=python_distutils --no-shebang-rewrite

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/l/lesscpy lesscpy-(.*).tar.gz

## python-lesscpy 0.13.0%2Bds

=== debian/control ===
Source: python-lesscpy
Section: python
Priority: optional
Maintainer: Thomas Andrejak <thomas.andrejak@gmail.com>
Build-Depends: debhelper (>= 11),
               python-all,
               python-ply,
               python-setuptools,
               python3-all,
               python3-ply,
               python3-setuptools,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/totol-guest/python-lesscpy
Vcs-Git: https://salsa.debian.org/totol-guest/python-lesscpy.git
Homepage: https://pypi.python.org/pypi/lesscpy

Package: python-lesscpy
Architecture: all
Depends:
 python-ply,
 ${misc:Depends},
 ${python:Depends},
Description: LessCss Compiler for Python 2.x
 Lesscpy is a compiler written in Python for the lesscss language. It is very
 useful if node.js can't be installed in the environment. Not all features of
 lesscss are supported (yet). Some features wil probably never be supported
 (JavaScript evaluation).
 .
 This program uses PLY (Python Lex-Yacc) to tokenize/parse the input and is
 considerably slower than the nodejs compiler.
 .
 This package provides the Python 2.x module.

Package: python3-lesscpy
Architecture: all
Depends:
 python3-ply,
 ${misc:Depends},
 ${python3:Depends},
Description: LessCss Compiler for Python 3.x
 Lesscpy is a compiler written in Python for the lesscss language. It is very
 useful if node.js can't be installed in the environment. Not all features of
 lesscss are supported (yet). Some features wil probably never be supported
 (JavaScript evaluation).
 .
 This program uses PLY (Python Lex-Yacc) to tokenize/parse the input and is
 considerably slower than the nodejs compiler.
 .
 This package provides the Python 3.x module.

## python-lesscpy 0.13.0+ds

=== debian/changelog ===
python-lesscpy (0.13.0+ds-2) unstable; urgency=medium

  * Unnecessary postinst and prerm and add preinst for upgrade
  * d/upstream: add folder
  * d/control:
    - Bump Standards-Version to 4.4.1
    - Add Rules-Requires-Root to no
    - Bump debhelper to 12

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Tue, 12 Nov 2019 12:07:24 +0200

python-lesscpy (0.13.0+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #937883

 -- Sandro Tosi <morph@debian.org>  Thu, 17 Oct 2019 19:32:48 -0400

python-lesscpy (0.13.0+ds-1) unstable; urgency=medium

  * New maintainer: Thomas Andrejak (Closes: #893373)
  * New upstream release: 0.13.0 (Closes: #893233)
    - Upload a new tarball without .pyc files
    - Update d/control dependencies
    - Remove an old patch not necessary now
  * Upgrade debhelper and compat from 9 to 11
  * Update d/watch file based on pypi.debian.net
  * Update d/rules: cleanup, migrate to pybuild
  * Update d/control:
    - Update old style fields on python things
    - Standards-Version upgrade to 4.1.3
    - Update Vcs-* fields
  * Update d/copyright
  * Remove postrm file for update-alternatives

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Sun, 18 Mar 2018 18:14:47 +0200

python-lesscpy (0.10-2) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.
  * Bumped debhelper compat version to 10

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Add trailing tilde to min version depend to allow
    backports

 -- Ondřej Nový <novy@ondrej.org>  Sun, 28 Feb 2016 15:41:05 +0100

=== debian/control ===
Source: python-lesscpy
Section: python
Priority: optional
Maintainer: Thomas Andrejak <thomas.andrejak@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-ply,
               python3-setuptools,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/totol-guest/python-lesscpy
Vcs-Git: https://salsa.debian.org/totol-guest/python-lesscpy.git
Homepage: https://pypi.python.org/pypi/lesscpy

Package: python3-lesscpy
Architecture: all
Depends:
 python3-ply,
 ${misc:Depends},
 ${python3:Depends},
Description: LessCss Compiler for Python 3.x
 Lesscpy is a compiler written in Python for the lesscss language. It is very
 useful if node.js can't be installed in the environment. Not all features of
 lesscss are supported (yet). Some features wil probably never be supported
 (JavaScript evaluation).
 .
 This program uses PLY (Python Lex-Yacc) to tokenize/parse the input and is
 considerably slower than the nodejs compiler.
 .
 This package provides the Python 3.x module.

## python-lesscpy 0.15.0+ds

=== debian/changelog ===
python-lesscpy (0.15.0+ds-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * New upstream release.
    + Fix FTBFS due to collections module. (Closes: #1009425)
  * debian/control: Bump Standards-Version to 4.6.1.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Aug 2022 21:29:18 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all,
                python3-ply,
                python3-setuptools,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/totol-guest/python-lesscpy
 Vcs-Git: https://salsa.debian.org/totol-guest/python-lesscpy.git
 Homepage: https://pypi.python.org/pypi/lesscpy

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = lesscpy
export PYBUILD_DISABLE = test

%:
	dh $@ --with=python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/lesscpy/lesscpy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-lesscpy 0.15.1

=== debian/changelog ===
python-lesscpy (0.15.1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add runtime dependency on python3-six (Closes: #1079924)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 28 Aug 2024 18:23:13 +0200

python-lesscpy (0.15.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    + Declare compatibility with python 3.11.
  * Bump Standards-Version to 4.6.2.
  * Bump debhelper compat to v13.

 -- Boyuan Yang <byang@debian.org>  Tue, 28 Nov 2023 15:13:04 -0500

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Thomas Andrejak <thomas.andrejak@gmail.com>
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-ply,
                python3-setuptools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/totol-guest/python-lesscpy
 Vcs-Git: https://salsa.debian.org/totol-guest/python-lesscpy.git
 Homepage: https://pypi.python.org/pypi/lesscpy
@@ -17,6 +17,7 @@
 Architecture: all
 Depends:
  python3-ply,
+ python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Description: LessCss Compiler for Python 3.x
